play.data.validation

## Class Check

- java.lang.Object
- - play.data.validation.Check

-     public abstract class Check
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `CheckWithCheck` | `checkWithCheck`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Check()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CheckWithCheck` | `getCheckWithCheck()`
    `abstract boolean` | `isSatisfied(java.lang.Object validatedObject, java.lang.Object value)`
    `void` | `setMessage(java.lang.String message, java.lang.String... vars)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### checkWithCheck

          public CheckWithCheck checkWithCheck

  - ### Constructor Detail

    - #### Check

          public Check()

  - ### Method Detail

    - #### isSatisfied

          public abstract boolean isSatisfied(java.lang.Object validatedObject,
                                              java.lang.Object value)

    - #### setMessage

          public void setMessage(java.lang.String message,
                                 java.lang.String... vars)

    - #### getCheckWithCheck

          public CheckWithCheck getCheckWithCheck()

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly